apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: lamp-0.2.0
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: lamp
        - from: value
          key: v1_serverid
          to: label
          value: 1
        - from: value
          key: v1_dbmaster
          to: label
          value: true
        - from: value
          key: v1_is_master
          to: label
          value: true
      name: lamp
      podspec:
        containers:
          - image: aep/base_jammy
            name: lamp
      provides:
        - exposed: true
          name: lamp
          network: loadbalanced
          servicespec:
            ports: []
      sizing:
        increment: 1
        initial: 1
        maximum: 1
        minimum: 1
  dependencies:
    operator:
      name: lamp-operator
      vendor: asag
      version: 0.2.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.0
  name: lamp
  settings:
    - name: environment
      schema:
        default: lamp_prod
  version: 0.2.0
